<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.contractor.ledger.dao.TContractorProjectDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.contractor.ledger.model.domain.TContractorProject">
                <id column="id" property="id"/>
                <id column="name" property="name"/>
                <id column="code" property="code"/>
                <id column="level" property="level"/>
                <id column="cycle" property="cycle"/>
                <id column="amount" property="amount"/>
                <id column="creation_time" property="creationTime"/>
                <id column="department_major" property="departmentMajor"/>
                <id column="department_belong" property="departmentBelong"/>
                <id column="plan_start_time" property="planStartTime"/>
                <id column="plan_end_time" property="planEndTime"/>
                <id column="introduction" property="introduction"/>
    </resultMap>
</mapper>